> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /time-off/{id}

GET https://api.merge.dev/api/hris/v1/time-off/{id}

Returns a `TimeOff` object with the given `id`.

Reference: https://docs.merge.dev/merge-unified/hris/common-models/time-off/retrieve

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Path parameters

- `id` (string, required)

### Query parameters

- `expand` (list of enum, optional) — Which relations should be returned in expanded form. Multiple relation names should be comma separated without spaces.
  - Allowed values: `approver`, `employee`
- `include_remote_data` (boolean, optional) — Whether to include the original data Merge fetched from the third-party to produce these models.
- `include_shell_data` (boolean, optional) — Whether to include shell records. Shell records are empty records (they may contain some metadata but all other fields are null).
- `remote_fields` (enum, optional) — Deprecated. Use show_enum_origins.
  - Allowed values: `request_type`, `request_type,status`, `request_type,status,units`, `request_type,units`, `status`, `status,units`, `units`
- `show_enum_origins` (enum, optional) — A comma separated list of enum field names for which you'd like the original values to be returned, instead of Merge's normalized enum values. [Learn more](https://help.merge.dev/en/articles/8950958-show_enum_origins-query-parameter)
  - Allowed values: `request_type`, `request_type,status`, `request_type,status,units`, `request_type,units`, `status`, `status,units`, `units`

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

## Response

### 200

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `employee` (string, optional, nullable) — The employee requesting time off.
- `approver` (string, optional, nullable) — The Merge ID of the employee with the ability to approve the time off request.
- `status` (enum, optional, nullable) — The status of this time off request. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=status` to receive the integration's own value instead.
  - Allowed values: `REQUESTED`, `APPROVED`, `DECLINED`, `CANCELLED`, `DELETED`
- `employee_note` (string, optional, nullable) — The employee note for this time off request.
- `units` (enum, optional, nullable) — The measurement that the third-party integration uses to count time requested. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=units` to receive the integration's own value instead.
  - Allowed values: `HOURS`, `DAYS`
- `amount` (double, optional, nullable) — The time off quantity measured by the prescribed “units”.
- `request_type` (enum, optional, nullable) — The type of time off request. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=request_type` to receive the integration's own value instead.
  - Allowed values: `VACATION`, `SICK`, `PERSONAL`, `JURY_DUTY`, `VOLUNTEER`, `BEREAVEMENT`, `LEAVE`
- `start_time` (datetime, optional, nullable) — The day and time of the start of the time requested off.
- `end_time` (datetime, optional, nullable) — The day and time of the end of the time requested off.
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (TimeOffFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

## Types

### TimeOffFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

## Examples

**Response**

```json
{
  "id": "91b2b905-e866-40c8-8be2-efe53827a0aa",
  "remote_id": "19202938",
  "created_at": "2021-09-15T00:00:00Z",
  "modified_at": "2021-10-16T00:00:00Z",
  "employee": "d2f972d0-2526-434b-9409-4c3b468e08f0",
  "approver": "9efbc633-3387-4306-aa55-e2c635e6bb4f",
  "status": "APPROVED",
  "employee_note": "Moving into the new apartment Kendall Roy gave me!",
  "units": "DAYS",
  "amount": 3,
  "request_type": "VACATION",
  "start_time": "2020-11-10T00:00:00Z",
  "end_time": "2020-11-17T00:00:00Z",
  "remote_was_deleted": true,
  "field_mappings": {
    "organization_defined_targets": {
      "custom_key": "custom_value"
    },
    "linked_account_defined_targets": {
      "custom_key": "custom_value"
    }
  },
  "remote_data": [
    {
      "path": "/leave",
      "data": null
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/hris/v1/time-off/id"

querystring = {"include_remote_data":"true"}

headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true';
const options = {
  method: 'GET',
  headers: {'X-Account-Token': 'X-Account-Token', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/hris/v1/time-off/id?include_remote_data=true")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```